activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Donoso Gabilondo, Daniel" <daniel.don...@ikusi.com>
Subject RE: Segfault with ActiveMQ-CPP 3.4.0 (Fedora 15 and Fedora 16)
Date Fri, 09 Dec 2011 14:23:06 GMT
I downloaded unreleased version of ActiveMQ-CPP 3.4.1 and now it works fine.


-----Mensaje original-----
De: Donoso Gabilondo, Daniel [mailto:daniel.donoso@ikusi.com] 
Enviado el: viernes, 09 de diciembre de 2011 12:25
Para: users@activemq.apache.org
Asunto: Segfault with ActiveMQ-CPP 3.4.0 (Fedora 15 and Fedora 16) 

I've a program that uses activemq-cpp library (Activemq-cpp 3.4.0)

The program compiles and works well on Fedora Core 12.

I need to use Fedora Core 15 or Fedora16. I compiled and installed activemq-cpp library as
always.

I compile my program, using the same activemq-cpp version and the same FC12 include and library
paths configuration, but when I run/debug it on Fedora15 or Fedora16 activemqcpp library crashes
showing these errors:

No source available for "std::basic_string<char, std::char_traits<char>, std::allocator<char>
>::basic_string()

Level () at /home/mikel/Projects/libraries/activemq-cpp-library-3.4.0/src/main/decaf/util/loggin/Level.h
__tatic_initialization_and_destruction_0() at /home/mikel/Projects/libraries/activemq-cpp-library-3.4.0/src/main/decaf/util/loggin/Handler.cpp:31

I don't know what's the problem. All the include an library paths are the same that in Fedora
12, but on Fedora 15/16 doesn't work.

I tried to remove activemq-cpp 3.4.0 and install official activemqp-cpp releases for Fedora
15/16 but with the same results.

Any idea about the problem and how can I resolve it?


Mime
View raw message